---
apiVersion: v1
kind: ConfigMap
metadata:
  name: ping-config
  namespace: monitoring
data:
  config.yml: |
    targets:
      # google stuff
      - 8.8.8.8
      - 8.8.4.4
      # - 2001:4860:4860::8888
      # - 2001:4860:4860::8844

      # cloudflare
      - 1.1.1.1
      - 1.0.0.1
      # - 2606:4700:4700::1111
      # - 2606:4700:4700::1001

      # BMENET
      - 152.66.211.254 # rtr-1
      # - 2001:738:2001:207f::1
      - 152.66.192.253 # rtr-1-loopback
      - 152.66.0.1 # Rio
      # - 2001:738:2001::1
      - 152.66.115.203 # bme.hu

      - 83.97.88.81 # hungarnet-ias-geant-gw.bud.hu.geant.net (bix, maybe?)

    dns:
      refresh: 2m15s
      nameserver: 1.1.1.1

    ping:
      interval: 2s
      timeout: 3s
      history-size: 42
      payload-size: 120




---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: "ping-exporter"
  namespace: "monitoring"
spec:
  selector:
    matchLabels:
      app: ping-exporter
  template:
    metadata:
      labels:
        app: ping-exporter
      annotations:
        prometheus.io/path: /metrics
        prometheus.io/port: "9427"
        prometheus.io/scrape: "true"
    spec:
      volumes:
        - name: config
          configMap:
            name: ping-config
      containers:
        - name: ping-exporter
          image: czerwonk/ping_exporter
          volumeMounts:
            - mountPath: /config
              name: config
          ports:
            - name: metrics
              containerPort: 9427

---
apiVersion: operator.victoriametrics.com/v1beta1
kind: VMPodScrape
metadata:
  name: "ping-exporter"
  namespace: monitoring
spec:
  jobLabel: ping-exporter
  selector:
    matchLabels:
      app: ping-exporter
  podMetricsEndpoints:
    - port: metrics
      path: /metrics
      scheme: http

